# List service accounts. GET https://app.unleash-instance.example.com/api/admin/service-account **Enterprise feature** Returns the list of all service accounts. Reference: https://docs.getunleash.io/api/get-service-accounts ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: List service accounts. version: endpoint_serviceAccounts.getServiceAccounts paths: /api/admin/service-account: get: operationId: get-service-accounts summary: List service accounts. description: |- **Enterprise feature** Returns the list of all service accounts. tags: - - subpackage_serviceAccounts parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: '#/components/schemas/serviceAccountsSchema' content: application/json: schema: $ref: '#/components/schemas/serviceAccountsSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} components: schemas: patSchema: type: object properties: id: type: integer description: >- The PAT's ID. PAT IDs are incrementing integers. In other words, a more recently created PAT will always have a higher ID than an older one. secret: type: string description: >- The token used for authentication. It is automatically generated by Unleash when the PAT is created and that is the only time this property is returned. createdAt: type: string format: date-time description: The date and time of when the PAT was created. seenAt: type: - string - 'null' format: date-time description: >- When the PAT was last seen/used to authenticate with. `null` if it has not been used yet. userId: type: integer description: The ID of the user this PAT belongs to. description: type: string description: The PAT's description. expiresAt: type: string format: date-time description: The PAT's expiration date. required: - id - createdAt - description - expiresAt serviceAccountSchema: type: object properties: id: type: number format: double description: The service account id isAPI: type: boolean description: >- Deprecated: for internal use only, should not be exposed through the API name: type: string description: The name of the service account email: type: string description: 'Deprecated: service accounts don''t have emails associated with them' username: type: string description: The service account username imageUrl: type: string description: The service account image url inviteLink: type: string description: >- Deprecated: service accounts cannot be invited via an invitation link loginAttempts: type: number format: double description: 'Deprecated: service accounts cannot log in to Unleash' emailSent: type: boolean description: 'Deprecated: internal use only' rootRole: type: integer description: The root role id associated with the service account seenAt: type: - string - 'null' format: date-time description: >- Deprecated. This property is always `null`. To find out when a service account was last seen, check its `tokens` list and refer to each token's `lastSeen` property instead. createdAt: type: string format: date-time description: The service account creation date tokens: type: array items: $ref: '#/components/schemas/patSchema' description: The list of tokens associated with the service account required: - id roleSchema: type: object properties: id: type: integer description: The role id type: type: string description: >- A role can either be a global root role (applies to all projects) or a project role name: type: string description: The name of the role description: type: string description: >- A more detailed description of the role and what use it's intended for project: type: - string - 'null' description: What project the role belongs to required: - id - type - name serviceAccountsSchema: type: object properties: serviceAccounts: type: array items: $ref: '#/components/schemas/serviceAccountSchema' description: A list of service accounts rootRoles: type: array items: $ref: '#/components/schemas/roleSchema' description: >- A list of root roles that are referenced from service account objects in the `serviceAccounts` list required: - serviceAccounts ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/service-account" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/service-account'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/service-account" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/service-account") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/service-account") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/service-account', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/service-account"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/service-account")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```